#!/bin/sh

aflr3 -i bracket2.surf -log

aflr3 -i bracket4.surf -log

aflr3 -i cami.surf -log

aflr3 -i cover_plate.surf -log

aflr3 -i plug mquadp=1 -log

aflr3 -i plug2 mquadp=1 -log

aflr3 -i em -o em_v1.b8.ugrid -log

aflr3 -i em -BC_IDs 2,3,4,5,6,7,8,9,14 -Grid_BC_Flag 1,5,5,5,1,1,5,1 -o em_v2.b8.ugrid -log

aflr3 -i spheres_1_3 -ogrid spheres_1_3_v1.b8.ugrid -log

aflr3 -i spheres_1_3 -dfmax 0.16 -ogrid spheres_1_3_v2.b8.ugrid -log

aflr3 -i spheres_1_3 -grow1 -ogrid spheres_1_3_v3.b8.ugrid -log

aflr3 -i spheres_1_3 -grow1 cdfs=4 -ogrid spheres_1_3_v4.b8.ugrid -log

aflr3 -i spheres_1_3 mdf=2 -ogrid spheres_1_3_v5.b8.ugrid -log

aflr3 -i spheres_1_3 -grow2 -ogrid spheres_1_3_v6.b8.ugrid -log

aflr3 -i cube -blc -blds 0.00003 -o cube_v1.b8.ugrid -log
#aflr3 -i cube -blc -blds 0.00003 -BC_IDs 1,2,3,4,5,6 -Grid_BC_Flag 2,2,-1,-1,-1,-1 -o cube_v1.b8.ugrid -log
#aflr3 -i cube -blc -blds 0.00003 -bls 1,2 -ints 3,4,5,6 -o cube_v1.b8.ugrid -log
aflr3 -i cube_v1.b8.ugrid -qchk -log_a

aflr3 -i cube -snsc -snsc -snsids 5,6 -ints 1,2,3,4 -snsi 1,5,1,6 -snss 0.0,0.1,0.2,0.3,0.4,0.5,0.0,0.2,0.4,0.6,0.8,1.0 -o cube_v2.b8.ugrid -log
aflr3 -i cube_v2.b8.ugrid -qchk -log_a

aflr3 -i curved_duct -blc -blds 0.00003 -log
#aflr3 -i curved_duct -blc -blds 0.00003 -bls 4, -ints 2,3 -log
aflr3 -i curved_duct.b8.ugrid -qchk -log_a

aflr3 -i defroster -blc -blds 0.001 -log
#aflr3 -i defroster -blc -blds 0.001 -bls 3, -ints 1,2 -log
aflr3 -i defroster.b8.ugrid -qchk -log_a

aflr3 -i dome -blc -blds 0.0001 -log
#aflr3 -i dome -blc -blds 0.0001 -bls 1, -ints 2, -log
aflr3 -i dome.b8.ugrid -qchk -log_a

aflr3 -i knob -blc -blds 0.0001 -blrm 1.2 -log
aflr3 -i knob.b8.ugrid -qchk -log_a

aflr3 -i long_vent -blc -blds 0.001 -bls 1, -ints 2,3 -log
#aflr3 -i long_vent -blc -blds 0.001 -bls 1, -ints 2,3 -log
aflr3 -i long_vent.b8.ugrid -qchk -log_a

aflr3 -i horn -blc -blds 0.00003 -log
#aflr3 -i horn -blc -blds 0.00003 -bls 1,3,5,7,14 -ints 2,4,6,12,13 -log
aflr3 -i horn.b8.ugrid -qchk -log_a

aflr3 -i horn_bulb -blc -blrm 1.2 -blds 0.001 -log
#aflr3 -i horn_bulb -blc -blrm 1.2 -blds 0.001 -bls 2, -ints 1,3 -log
aflr3 -i horn_bulb.b8.ugrid -qchk -log_a

aflr3 -i radial_nozzle -blc -blds 0.001 -log
#aflr3 -i radial_nozzle -blc -blds 0.001 -bls 3,4 -ints 1,2 -log
aflr3 -i radial_nozzle.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_20 -blc -blds 0.001 -blrm 1.2 -log
#aflr3 -i spheres_1_20 -blc -blds 0.001 -blrm 1.2 -bls 1, -log
aflr3 -i spheres_1_20.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20 -blc -blds 0.001 -blrm 1.2 -log -ogrid spheres_1_3_20_v1.b8.ugrid 
#aflr3 -i spheres_1_3_20 -blc -blds 0.001 -blrm 1.2 -BC_IDs 1,2,4 -Grid_BC_Flag -1,3,1 -log -ogrid spheres_1_3_20_v1.b8.ugrid 
aflr3 -i spheres_1_3_20_v1.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20 -blc -Re 20000 -refx 1 -y+ 1.3 -blrm 1.2 -blcheck
aflr3 -i spheres_1_3_20 -blc -Re 20000 -refx 1 -y+ 1.3 -blrm 1.2 -bldel 0 -blcheck
aflr3 -i spheres_1_3_20 -blc -Re 20000 -refx 1 -y+ 1.3 -blrm 1.2 -bldelmax -blcheck

aflr3 -i spheres_1_3_20 -blc -blds 0.001 -blrm 1.2 -bldel 0.5 -log -ogrid spheres_1_3_20_v2.b8.ugrid 
aflr3 -i spheres_1_3_20_v2.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20 -blc -blds 0.001 -log -ogrid spheres_1_3_20_v3.b8.ugrid 
aflr3 -i spheres_1_3_20_v3.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20 -blc -blds 0.001 cblmnr=0.9 -log -ogrid spheres_1_3_20_v4.b8.ugrid 
aflr3 -i spheres_1_3_20_v4.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20_vs -blc -blds 0.001 -blrm 1.2 -log -ogrid spheres_1_3_20_vs_v1.b8.ugrid 
#aflr3 -i spheres_1_3_20_vs -blc -blds 0.001 -blrm 1.2 -BC_IDs 1,2,4 -Grid_BC_Flag -1,3,1 -log -ogrid spheres_1_3_20_vs_v1.b8.ugrid 
aflr3 -i spheres_1_3_20_vs_v1.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_20_vs -blc -blds 0.001 -blrm 1.2 mblend=0 -log -ogrid spheres_1_3_20_vs_v2.b8.ugrid 
aflr3 -i spheres_1_3_20_vs_v2.b8.ugrid -qchk -log_a

aflr3 -i nozzle -blc3 -blds 0.0001 -blrm 1.2 -o nozzle.b8.ugrid -log
#aflr3 -i nozzle -blc3 -blds 0.0001 -blrm 1.2 -bls 3, -ints 1,2 -o nozzle.b8.ugrid -log
aflr3 -i nozzle.b8.ugrid -qchk -log_a

aflr3 -i rocket -blc3 -blds 0.0001 -blrm 1.2 -o rocket_v1.b8.ugrid -log
#aflr3 -i rocket -blc3 -blds 0.0001 -blrm 1.2 -BC_IDs 1,2,3,4,5,6,7,8,9,10,16 -Grid_BC_Flag 1,-6,-1,2,-1,4,-1,-1,-1,-1,4 -o rocket_v1.b8.ugrid -log
aflr3 -i rocket_v1.b8.ugrid -qchk -log_a

aflr3 -i rocket -blc3 -blds 0.0001 -blrm 1.2 -open -o rocket_v2.b8.ugrid -log
aflr3 -i rocket_v2.b8.ugrid -qchk -log_a

aflr3 -i rocket -blc3 -blds 0.0001 -blrm 1.2 -open2 -revbl -o rocket_v3.b8.ugrid -log
aflr3 -i rocket_v3.b8.ugrid -qchk -log_a

aflr3 -i missile1 -blc3 -blds 0.0001 -o missile1_v1.b8.ugrid -log
#aflr3 -i missile1 -blc3 -blds 0.0001 -BC_IDs 1,2,3,4,5,6 -Grid_BC_Flag 2,3,-6,-1,-1,1 -o missile1_v1.b8.ugrid -log
aflr3 -i missile1_v1.b8.ugrid -qchk -log_a

aflr3 -i missile1 -blc2 -blds 0.0001 -o missile1_v2.b8.ugrid -log
aflr3 -i missile1_v2.b8.ugrid -qchk -log_a

aflr3 -i missile2 -blc3 -blds 0.0001 -o missile2.b8.ugrid -log
#aflr3 -i missile2 -blc3 -blds 0.0001 -BC_IDs 1,2,3,4,5,6,7,8 -Grid_BC_Flag 1,-1,-1,-6,3,2,1,2 -o missile2.b8.ugrid -log
aflr3 -i missile2.b8.ugrid -qchk -log_a

aflr3 -i missile3 -blc3 -blds 0.0001 -o missile3_v1.b8.ugrid -log
aflr3 -i missile3_v1.b8.ugrid -qchk -log_a

aflr3 -i missile3 -blc3 -blds 0.0001 -BC_IDs 1,2,3,4,5,6 -Grid_BC_Flag 2,2,1,-6,-1,-1 -o missile3_v2.b8.ugrid -log
aflr3 -i missile3_v2.b8.ugrid -qchk -log_a

aflr3 -i missile3 -blc3 -blds 0.0001 -tags -o missile3_v3.b8.ugrid -log
aflr3 -i missile3_v3.b8.ugrid -qchk -log_a

aflr3 -i two_blade_wake_sym -blc3 -blrm 1.4 -blds 0.0001 -log
#aflr3 -i two_blade_wake_sym -blc3 -blrm 1.4 -blds 0.0001 -BC_IDs 5,4,3,2,1,35,34,33,36,37,38,39,40,42,43 -Grid_BC_Flag -1,-1,-6,-6,-6,2,2,2,1,1,1,1,1,1,1 -log
aflr3 -i two_blade_wake_sym.b8.ugrid -qchk -log_a

aflr3 -i two_blade_wake_sym_extended -blc3 -blrm 1.4 -blds 0.0001 -log
#aflr3 -i two_blade_wake_sym_extended -blc3 -blrm 1.4 -blds 0.0001 -BC_IDs 5,4,3,2,1,41,35,34,33,42,43,36,37,38,39,40 -Grid_BC_Flag -1,-1,-6,-6,-6,-6,2,2,2,2,2,1,1,1,1,1 -log
aflr3 -i two_blade_wake_sym_extended.b8.ugrid -qchk -log_a

aflr3 -i nacelle_engine -blc3 -blds 0.0002 -ogrid nacelle_engine_v1.b8.ugrid -log
aflr3 -i nacelle_engine_v1.b8.ugrid -qchk -log_a

aflr3 -i nacelle_engine -blc3 -blrm 1.2 -BC_IDs 2,3,4,7 -BL_DS 0.0002,0.0002,0.0002,0.02 -ogrid nacelle_engine_v2.b8.ugrid -log
aflr3 -i nacelle_engine_v2.b8.ugrid -qchk -log_a

aflr3 -i nacelle_engine -blc3 -blrm 1.2 -BC_IDs 2,3,4,7 -BL_DS 0.0002,0.0002,0.0002,0.02 -Number_of_BLs 0,0,0,44 -ogrid nacelle_engine_v3.b8.ugrid -log
aflr3 -i nacelle_engine_v3.b8.ugrid -qchk -log_a

aflr3 -i nacelle_engine -blc3 -blrm 1.2 -BC_IDs 2,3,4,5,6,7,11,12 -Grid_BC_Flag -1,-1,-1,4,4,-1,2,2 -Number_of_BLs 0,0,0,0,0,44,0,0 -BL_DS 0.0002,0.0002,0.0002,0,0,0.02,0,0 -ogrid nacelle_engine_v4.b8.ugrid -log
aflr3 -i nacelle_engine_v4.b8.ugrid -qchk -log_a

aflr3 -i nacelle_engine -blc3 -blrm 1.2 -tags -ogrid nacelle_engine_v5.b8.ugrid -log
aflr3 -i nacelle_engine_v5.b8.ugrid -qchk -log_a

#aflr3 -i lv2b -blc2 -blrm 1.3 -blds 1.6e-06 -o lv2b_v1.b8.ugrid -log
#aflr3 -i lv2b.b8.ugrid -qchk -log_a

aflr3 -i em -sns -snss 0,0.005,0.02,0.07,0.075 -snsr 1 -o em_v3.b8.ugrid -log
aflr3 -i em_v3.b8.ugrid -qchk -log_a

aflr3 -i em -BC_IDs 2,3,4,5,6,7,8,9,14 -Grid_BC_Flag -1,5,5,5,-1,-1,5,-1 -sns -snss 0,0.005,0.02,0.07,0.075 -snsr 1 -o em_v4.b8.ugrid -log
aflr3 -i em_v4.b8.ugrid -qchk -log_a

aflr3 -i periodic_duct -blds 0.00002 -blc -o periodic_duct_v1.b8.ugrid -log
aflr3 -i periodic_duct_v1.b8.ugrid -qchk -log_a

aflr3 -i periodic_duct -blds 0.00002 -blc -no_psdata -BC_IDs 1,2,3,4,5,6,10,11,12 -Grid_BC_Flag -1,-1,2,-1,2,2,-1,-1,-1 -npsurf 1 -PS_IDs 6,5 -PS_XPS0s 0,10,0 -PS_TMs 0.984807753012,0.173648177667,0.0,-0.173648177667,0.984807753011,-1.45784439342e-06,-2.53152022229e-07,1.43569646133e-06,1.0 -o periodic_duct_v2.b8.ugrid -log
aflr3 -i periodic_duct_v2.b8.ugrid -qchk -log_a

aflr3 -i wedge60 -blds 0.00002 -blc -o wedge60_v1.b8.ugrid -log
aflr3 -i wedge60_v1.b8.ugrid -qchk -log_a

aflr3 -i wedge60 -blds 0.00002 -blc -no_psdata -BC_IDs 1,2,3,4,7 -Grid_BC_Flag 2,2,2,2,-1 -npsurf 2 -PS_IDs 1,2,3,4 -PS_XPS0s 0,0,-10,5,8.66025403784,0 -PS_TMs 1,0,0,0,1,0,0,0,1,0.5,0.866025403784,0,-0.866025403784,0.5,0,0,0,1 -o wedge60_v2.b8.ugrid -log
aflr3 -i wedge60_v2.b8.ugrid -qchk -log_a

aflr3 -ice -log -i missile_ic -o missile_ic_bl.b8.ugrid -blc -blds 0.0001
aflr3 -qchk -i missile_ic_bl.b8.ugrid -log_a

aflr3 -ice -log -i nacelle_engine_ic -o nacelle_engine_ic_bl.b8.ugrid -blc -blds 0.0002 -blrm 1.2 
aflr3 -qchk -i nacelle_engine_ic_bl.b8.ugrid -log_a

aflr3 -ice -log -i rocket_ic -o rocket_ic_bl.b8.ugrid -blc -blds 0.0001 -blrm 1.2
aflr3 -qchk -i rocket_ic_bl.b8.ugrid -log_a

#aflr3 -i lv2b -ice -blc -blrm 1.3 -blds 1.6e-06 -o lv2b_ic_bl.b8.ugrid -log
#aflr3 -i lv2b_ic_bl.b8.ugrid -qchk -log_a

aflr3 -i nozzle_fixed -blc3 -blds 0.0001 -blrm 1.2 -fints 1,2 -bls 3, -o nozzle_fixed_v1.b8.ugrid -log
aflr3 -i nozzle_fixed_v1.b8.ugrid -qchk -log_a

aflr3 -i nozzle_fixed -blc3 -blds 0.0001 -blrm 1.2 -tags -o nozzle_fixed_v2.b8.ugrid -log
aflr3 -i nozzle_fixed_v2.b8.ugrid -qchk -log_a

aflr3 -i submesh1 -blc3 -refx 100 -y+ 1 -bldel 3 -bls 1,2 -fints 3, -o submesh1.b8.ugrid -log
aflr3 -i submesh1.b8.ugrid -qchk -log_a

aflr3 -i submesh2 -blc3 -blds 0.001 -bldel 0.15 -bls 1, -fints 2, -o submesh2.b8.ugrid -log
aflr3 -i submesh2.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3 -blc -blds 0.001 -blrm 1.2 nbl=24 -ogrid spheres_1_3_v7.b8.ugrid -log
aflr3 -i spheres_1_3_v7.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3 -blc -blds 0.001 -blrm 1.2 nbl=24  mmetblbl=2 cdfrsrc=1.05 -ogrid spheres_1_3_v8.b8.ugrid -log
aflr3 -i spheres_1_3_v8.b8.ugrid -qchk -log_a

aflr3 -i spheres_1_3_sym -blc -blds 0.001 -blrm 1.2 nbl=24  mmetblbl=2 cdfrsrc=1.05 -ogrid spheres_1_3_sym.b8.ugrid -log
aflr3 -i spheres_1_3_sym.b8.ugrid -qchk -log_a

aflr3 -i cube -ext -o cube_v3.b8.ugrid -log mw_func=1

/bin/cp -f cube.surf cube_v3.surf
/bin/cp -f cube_v3.b8.ugrid cube_v3.back.b8.ugrid 
/bin/mv -f cube_v3.out.b8.sfunc cube_v3.back.b8.sfunc

aflr3 -i cube_v3 -o cube_v3_bg.b8.ugrid -log

aflr3 -i cube -ext mmet=1 mpp=3 -o cube_v4.b8.ugrid -log mw_func=1

/bin/cp -f cube.surf cube_v4.surf
/bin/cp -f cube_v4.b8.ugrid cube_v4.back.b8.ugrid 
/bin/mv -f cube_v4.out.b8.sfunc cube_v4.back.b8.sfunc

aflr3 -i cube_v4 mmet=1 mpp=3 -o cube_v4_bg.b8.ugrid -log
